## libevent-distributor-perl 0.05

=== debian/changelog ===
libevent-distributor-perl (0.05-2) unstable; urgency=medium

  * No-change rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 12 Aug 2019 15:01:24 +0200

libevent-distributor-perl (0.05-1) unstable; urgency=low

  * Initial release.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 23 Jun 2019 19:53:48 -0500
