=== debian/control ===
Source: libevent-distributor-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 11),
 libmodule-build-perl (>= 0.4004),
 perl
Build-Depends-Indep: libfuture-perl (>= 0.15),
 libsyntax-keyword-try-perl,
 libtest-fatal-perl
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libevent-distributor-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libevent-distributor-perl.git
Homepage: https://metacpan.org/release/Event-Distributor
Testsuite: autopkgtest-pkg-perl

Package: libevent-distributor-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libfuture-perl (>= 0.15),
 libsyntax-keyword-try-perl
Description: simple in-process pub/sub mechanism
 Instances of this class provide a simple publish/subscribe mechanism within a
 single process, for either synchronous or Future-based asynchronous use.
 .
 A given instance has a set of named events. Subscribers are CODE references
 attached to a named event. Publishers can declare the existence of a named
 event, and then later invoke it by passing in arguments, which are
 distributed to all of the subscribers of that named event.
 .
 It is specifically not an error to request to subscribe an event that has not
 yet been declared, in order to allow multiple modules of code to be loaded
 and subscribe events the others publish, without introducing loading order
 dependencies. An event only needs to be declared by the time it is fired.
 .
 Natively all of the events provided by the distributor are fully-asynchronous
 in nature. Each subscriber is expected to return a Future instance which will
 indicate its completion; the results of these are merged into a single future
 returned by the fire method itself. However, to support synchronous or
 semi-synchronous programs using it, both the observe and invoke methods also
 have a synchronous variant. Note however, that this module does not provide
 any kind of asynchronous detachment of synchronous functions; using the
 /subscribe_sync method to subscribe a long-running blocking function will
 cause the fire_* methods to block until that method returns. To achieve a
 truely-asynchronous experience the attached code will need to use some kind
 of asynchronous event system.
 .
 This description was automagically extracted from the module by dh-make-perl.
