=== debian/watch ===
version=3
https://metacpan.org/release/Event-Distributor   .*/Event-Distributor-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
