=== debian/control ===
--- 
+++ 
@@ -1,28 +1,31 @@
 Source: libevent-distributor-perl
-Section: perl
-Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Andrej Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 11),
- libmodule-build-perl (>= 0.4004),
- perl
-Build-Depends-Indep: libfuture-perl (>= 0.15),
- libsyntax-keyword-try-perl,
- libtest-fatal-perl
-Standards-Version: 4.3.0
+Section: perl
+Testsuite: autopkgtest-pkg-perl
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               libmodule-build-perl,
+               perl
+Build-Depends-Indep: libfeature-compat-try-perl <!nocheck>,
+                     libfuture-perl <!nocheck>,
+                     libtest-fatal-perl <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libevent-distributor-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libevent-distributor-perl.git
 Homepage: https://metacpan.org/release/Event-Distributor
-Testsuite: autopkgtest-pkg-perl
+Rules-Requires-Root: no
 
 Package: libevent-distributor-perl
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends},
- libfuture-perl (>= 0.15),
- libsyntax-keyword-try-perl
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         libfeature-compat-try-perl,
+         libfuture-perl
 Description: simple in-process pub/sub mechanism
- Instances of this class provide a simple publish/subscribe mechanism within a
- single process, for either synchronous or Future-based asynchronous use.
+ Instances of the Event::Distributor class provide a simple publish/subscribe
+ mechanism within a single process, for either synchronous or Future-based
+ asynchronous use.
  .
  A given instance has a set of named events. Subscribers are CODE references
  attached to a named event. Publishers can declare the existence of a named
@@ -45,5 +48,3 @@
  cause the fire_* methods to block until that method returns. To achieve a
  truely-asynchronous experience the attached code will need to use some kind
  of asynchronous event system.
- .
- This description was automagically extracted from the module by dh-make-perl.
