=== debian/watch ===
version=4
https://metacpan.org/release/Event-Distributor   .*/Event-Distributor-v?@ANY_VERSION@@ARCHIVE_EXT@$
